<div class="purchases">
  <layout-page-header
    [title]="'MERCHANT_MANAGER.PURCHASES.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.PURCHASES.DESCRIPTION' | translate"
    [total]="(purchases$ | async)?.count"
    [tooltipMessage]="'MERCHANT_MANAGER.PURCHASES.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <purchases-filters></purchases-filters>
    <div class="purchases__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="purchases$ | async"
        [isLoading]="(isLoadingPurchases$ | async)"
        (changeTableFilters)="onChangeTableFilters($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #purchaseStatusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <layout-status [status]="status"></layout-status>
  </ng-container>
</ng-template>
